/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

&.synopsis-view {
  // Style definition für den stat. Änderungsvergleich im Farbmodus
  &.synopsis-changes-mode {
    .cp_erased,
    .cp_deleted {
      color: red;
      font-style: italic;
      text-decoration: line-through;
    }
    .cp_inserted,
    .cp_added {
      font-size: 1.8rem;
      color: green;
      text-decoration: underline;
    }
    .cp_omitted {
      font-weight: 700;
      font-size: 1.8rem;
      text-align: center;
      width: 100%;
      padding-left: 0;
    }

    .cp_unmodified {
      letter-spacing: 0.5rem;
      font-size: 1.8rem;
      font-weight: 500;
      text-align: center;
    }
  }
  // Style definition für den stat. Änderungsvergleich im HDR-Modus
  &.synopsis-hdr-mode {
    & .akn\:tr {
      & .akn\:td {
        width: 50%;
      }
      & .akn\:num {
        font-weight: normal;
        letter-spacing: 5px;
      }
      .akn\:heading {
        font-weight: bold;
      }
      .cp_erased {
        font-style: italic;
      }
      & .akn\:td:last-child:not(.akn\:docStage, .akn\:docTitle, .akn\:docProponent, .akn\:shorttitle) {
        &.cp_added {
          font-weight: bold;
          font-size: 1.8rem;
        }
        .cp_inserted {
          font-weight: bold;
        }
        &.cp_matched:has(.cp_unchanged:only-child) {
          text-align: center;
        }
        &.cp_matched:not(.akn\:num, .akn\:heading) {
          & .cp_unchanged:only-child {
            & .lea\:textWrapper {
              display: none;
            }
            &::before {
              visibility: visible;
              content: 'unverändert';
              letter-spacing: 5px;
            }
          }
        }
      }
      & .cp_deleted {
        & + .akn\:td {
          & .lea\:textWrapper {
            display: none;
          }
          &::after {
            visibility: visible;
            content: 'entfällt';
            font-weight: bold;
          }
        }
      }

      & .lea\:textWrapper {
        &.einzelvorschrift {
          letter-spacing: 0;
        }
      }
    }
  }
}

&.dyn-aenderungsvergleich-active {
  .lea\:changeWrapper {
    &.ct_inserted {
      color: green;
      text-decoration: underline;
    }
    &.ct_deleted {
      color: red;
      text-decoration: line-through;
    }
  }
}
